<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__capsense__auto__tune__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_capsense_auto_tune_config_t</compoundname>
    <includes local="no">cy_capsense_lib.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__capsense__auto__tune__config__t_1a1d0e22bde6cc10e84ce2e37524486fc1" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_capsense_auto_tune_config_t::sensorCap</definition>
        <argsstring />
        <name>sensorCap</name>
        <briefdescription>
<para>Sensor parasitic capacitance in fF 10^-15. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="147" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="147" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__auto__tune__config__t_1aaa6b7ff2794e44d8f333ecf6048dd6f6" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_capsense_auto_tune_config_t::iDacGain</definition>
        <argsstring />
        <name>iDacGain</name>
        <briefdescription>
<para>IDAC gain in pA. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="148" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="148" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__auto__tune__config__t_1ad6aa32b14c98f74107b4230446e35fed" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t *</type>
        <definition>uint16_t* cy_stc_capsense_auto_tune_config_t::ptrSenseClk</definition>
        <argsstring />
        <name>ptrSenseClk</name>
        <briefdescription>
<para>Pointer to SnsClk divider. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="149" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="149" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__auto__tune__config__t_1a02620f92d5236d731cfd30c52b3881c5" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t *</type>
        <definition>uint16_t* cy_stc_capsense_auto_tune_config_t::sigPFC</definition>
        <argsstring />
        <name>sigPFC</name>
        <briefdescription>
<para>Pointer to sigPFC value (Signal Per Finger Capacitance) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="150" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="150" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__auto__tune__config__t_1a6ec095fe5aeb9289f98829815219ea37" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_auto_tune_config_t::snsClkConstantR</definition>
        <argsstring />
        <name>snsClkConstantR</name>
        <briefdescription>
<para>Resistance in series to a sensor. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="151" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="151" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__auto__tune__config__t_1a50522d0350068cbfba0aeebaff115d9c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_auto_tune_config_t::vRef</definition>
        <argsstring />
        <name>vRef</name>
        <briefdescription>
<para>Vref in mVolts. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="152" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="152" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__auto__tune__config__t_1a1cfd6c229a3feee37da2016b69128be8" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_auto_tune_config_t::fingerCap</definition>
        <argsstring />
        <name>fingerCap</name>
        <briefdescription>
<para>Finger capacitance in fF 10^-15 (Set in Basic tab in pF 10^-12) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="153" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="153" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__auto__tune__config__t_1a104c0df5a13ed859885dd8be3d274dc2" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_auto_tune_config_t::snsClkInputClock</definition>
        <argsstring />
        <name>snsClkInputClock</name>
        <briefdescription>
<para>Frequency for sense clock divider in kHz. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="154" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="154" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__auto__tune__config__t_1a48acefee1f92f23853cc7d58511327a2" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_auto_tune_config_t::calTarget</definition>
        <argsstring />
        <name>calTarget</name>
        <briefdescription>
<para>Calibration target in percentage. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="155" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="155" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__auto__tune__config__t_1adbec8688c917a7a25a7cc4b14b1e49ed" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_auto_tune_config_t::iDacMod</definition>
        <argsstring />
        <name>iDacMod</name>
        <briefdescription>
<para>Modulation idac code. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="156" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="156" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__auto__tune__config__t_1a7c937fca893ce53a81dd29d5541c2b75" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_auto_tune_config_t::iDacComp</definition>
        <argsstring />
        <name>iDacComp</name>
        <briefdescription>
<para>Compensation idac code. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="157" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="157" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Declares HW SmartSense data structure for CSD widgets. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="158" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="145" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="146" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__capsense__auto__tune__config__t_1a48acefee1f92f23853cc7d58511327a2" virt="non-virtual"><scope>cy_stc_capsense_auto_tune_config_t</scope><name>calTarget</name></member>
      <member prot="public" refid="structcy__stc__capsense__auto__tune__config__t_1a1cfd6c229a3feee37da2016b69128be8" virt="non-virtual"><scope>cy_stc_capsense_auto_tune_config_t</scope><name>fingerCap</name></member>
      <member prot="public" refid="structcy__stc__capsense__auto__tune__config__t_1a7c937fca893ce53a81dd29d5541c2b75" virt="non-virtual"><scope>cy_stc_capsense_auto_tune_config_t</scope><name>iDacComp</name></member>
      <member prot="public" refid="structcy__stc__capsense__auto__tune__config__t_1aaa6b7ff2794e44d8f333ecf6048dd6f6" virt="non-virtual"><scope>cy_stc_capsense_auto_tune_config_t</scope><name>iDacGain</name></member>
      <member prot="public" refid="structcy__stc__capsense__auto__tune__config__t_1adbec8688c917a7a25a7cc4b14b1e49ed" virt="non-virtual"><scope>cy_stc_capsense_auto_tune_config_t</scope><name>iDacMod</name></member>
      <member prot="public" refid="structcy__stc__capsense__auto__tune__config__t_1ad6aa32b14c98f74107b4230446e35fed" virt="non-virtual"><scope>cy_stc_capsense_auto_tune_config_t</scope><name>ptrSenseClk</name></member>
      <member prot="public" refid="structcy__stc__capsense__auto__tune__config__t_1a1d0e22bde6cc10e84ce2e37524486fc1" virt="non-virtual"><scope>cy_stc_capsense_auto_tune_config_t</scope><name>sensorCap</name></member>
      <member prot="public" refid="structcy__stc__capsense__auto__tune__config__t_1a02620f92d5236d731cfd30c52b3881c5" virt="non-virtual"><scope>cy_stc_capsense_auto_tune_config_t</scope><name>sigPFC</name></member>
      <member prot="public" refid="structcy__stc__capsense__auto__tune__config__t_1a6ec095fe5aeb9289f98829815219ea37" virt="non-virtual"><scope>cy_stc_capsense_auto_tune_config_t</scope><name>snsClkConstantR</name></member>
      <member prot="public" refid="structcy__stc__capsense__auto__tune__config__t_1a104c0df5a13ed859885dd8be3d274dc2" virt="non-virtual"><scope>cy_stc_capsense_auto_tune_config_t</scope><name>snsClkInputClock</name></member>
      <member prot="public" refid="structcy__stc__capsense__auto__tune__config__t_1a50522d0350068cbfba0aeebaff115d9c" virt="non-virtual"><scope>cy_stc_capsense_auto_tune_config_t</scope><name>vRef</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>